summaryrefslogtreecommitdiff
path: root/gnulib-tests/test-copy-acl-1.sh
diff options
context:
space:
mode:
authorClint Adams <clint@debian.org>2021-08-31 08:53:23 -0400
committerClint Adams <clint@debian.org>2021-08-31 08:53:23 -0400
commitc50de48f2ed0b9476c3389fd07a85a5e8be798e2 (patch)
tree80f254d789336981f5ea660741739f70d46589d5 /gnulib-tests/test-copy-acl-1.sh
parent637a2e292881341dde845545517b0ed3d3ccfc94 (diff)
New upstream version 4.8
Diffstat (limited to 'gnulib-tests/test-copy-acl-1.sh')
-rwxr-xr-xgnulib-tests/test-copy-acl-1.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/gnulib-tests/test-copy-acl-1.sh b/gnulib-tests/test-copy-acl-1.sh
index 2f9880e..0fe44a5 100755
--- a/gnulib-tests/test-copy-acl-1.sh
+++ b/gnulib-tests/test-copy-acl-1.sh
@@ -3,11 +3,16 @@
# Test copy-acl on the file system of /var/tmp, which usually is a local
# file system.
+. "${srcdir=.}/init.sh"; path_prepend_ .
+
if test -d /var/tmp; then
TMPDIR=/var/tmp
else
TMPDIR=/tmp
fi
+test -d $TMPDIR || Exit 77
export TMPDIR
-exec "${srcdir}/test-copy-acl.sh"
+$BOURNE_SHELL "${srcdir}/test-copy-acl.sh"
+
+Exit $?